Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class ChannelMapping

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.ChannelMapping

    public class ChannelMapping
    extends java.lang.Object

Маппинг канала на сервера.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChannelMapping()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getChannelCode()` |
  `int` | `getChannelId()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getId()` |
  `int` | `getServerCode()` |
  `java.lang.String` | `getServerTitle()` |
  `void` | `setChannelCode​(java.lang.String channelCode)` |
  `void` | `setChannelId​(int channelId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date date1)` |
  `void` | `setDateTo​(java.util.Date date2)` |
  `void` | `setId​(int id)` |
  `void` | `setServerCode​(int serverCode)` |
  `void` | `setServerTitle​(java.lang.String serverTitle)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChannelMapping

    public ChannelMapping()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getChannelCode

    public java.lang.String getChannelCode()

  - ### setChannelCode

    public void setChannelCode​(java.lang.String channelCode)

  - ### getChannelId

    public int getChannelId()

  - ### setChannelId

    public void setChannelId​(int channelId)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date date1)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getServerCode

    public int getServerCode()

  - ### setServerCode

    public void setServerCode​(int serverCode)

  - ### getServerTitle

    public java.lang.String getServerTitle()

  - ### setServerTitle

    public void setServerTitle​(java.lang.String serverTitle)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`